- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::KEYLine Struct Reference

`#include <KEYTypes.h>`

## Public Member Functions
| KEYLine ()

## Public Attributes
KEYGeometryPtr_t | geometry
KEYStylePtr_t | style
boost::optional< double > | x1
boost::optional< double > | y1
boost::optional< double > | x2
boost::optional< double > | y2

## Constructor & Destructor Documentation

libetonyek::KEYLine::KEYLine | ( |  | ) |

## Member Data Documentation

KEYGeometryPtr_t libetonyek::KEYLine::geometry

KEYStylePtr_t libetonyek::KEYLine::style

boost::optional<double> libetonyek::KEYLine::x1

boost::optional<double> libetonyek::KEYLine::x2

boost::optional<double> libetonyek::KEYLine::y1

boost::optional<double> libetonyek::KEYLine::y2

The documentation for this struct was generated from the following files:

- KEYTypes.h
- KEYTypes.cpp